package com.sxtvs.open.api.odata.service.impl;

import com.sxtvs.open.api.odata.entity.WxgzhGroup;
import com.sxtvs.open.api.odata.mapper.WxgzhGroupMapper;
import com.sxtvs.open.api.odata.service.IWxgzhGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-14
 */
@Service
public class WxgzhGroupServiceImpl extends ServiceImpl<WxgzhGroupMapper, WxgzhGroup> implements IWxgzhGroupService {


    public List<String> hospitalList() {
        return lambdaQuery().eq(WxgzhGroup::getGroupCode, "HOSPITAL").eq(WxgzhGroup::getStatus, 0).list().stream()
                .map(WxgzhGroup::getNickName).collect(Collectors.toList());
    }
}
